<?php

namespace Daylight\Core\Modules\MediaLibrary\Models\Pivot;

use Illuminate\Database\Eloquent\Relations\MorphPivot;
use Illuminate\Database\Eloquent\Relations\MorphTo;

class Attachable extends MorphPivot
{
    protected $casts = [
        'properties' => 'json',
    ];

    protected $guarded = [];

    public function attachable(): MorphTo
    {
        return $this->morphTo();
    }
}
